LibOFX

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
OfxStatusContainer Class Reference

Represents the <STATUS> OFX SGML entity. More...

Inheritance diagram for OfxStatusContainer:

## Public Member Functions
| OfxStatusContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
void | add_attribute (const string identifier, const string value)
| Add data to a container object.
## Data Fields
OfxStatusData | data

## Detailed Description

Represents the <STATUS> OFX SGML entity.

Definition at line 96 of file ofx_containers.hh.

## Member Function Documentation

void OfxStatusContainer::add_attribute | ( | const string | identifier,
|  | const string | value
| ) |  | `[virtual]`

Add data to a container object.

Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it.

Parameters:

  identifier | The name of the data element
  value | The concatenated string of the data

Reimplemented from OfxGenericContainer.

Definition at line 94 of file ofx_containers_misc.cpp.

The documentation for this class was generated from the following files:

- ofx_containers.hh
- ofx_containers_misc.cpp